package board;

import player.Player;

/**
 * Created by danielford on 24/02/16.
 */
public class WinState {

    private String winner;
    private Player player;

    /**
     * @param player Player, the current player
     * @param gameState Boolean, Has a player won, or is it a draw?
     */
    public WinState(Player player, Boolean gameState) {
        this.player = player;
        winner = gameState ? "Player " + String.valueOf(player.getPlayerIdentity()) : "Draw";
    }

    /**
     * If no params provided, no end state has been reached
     */
    public WinState() { winner = "None"; }

    /**
     * Returns the current winning state i.e. None || Draw || PlayerIdentity
     * @return String, The winning state
     */
    public String getWinner() { return winner; }

    public Player getPlayer() { return player; }


}
