package game;

import javafx.scene.layout.StackPane;
import javafx.scene.shape.Circle;

/**
 * Created by danielford on 13/04/16.
 */
public class Intersection extends StackPane {

    public Intersection(int size, int column, int row) {


        setTranslateX( size * column );
        setTranslateY( size * row );
        setPickOnBounds( false );
        setMouseTransparent( true );

        createIntersection(size, column, row);



    }

    private void createIntersection(int size, int column, int row) {

        boolean isMinPoint = row > 1 && column > 1;
        boolean isEven = (size - column) % 2 == 0 || (size - row) % 2 == 0;

        if ( isMinPoint && !isEven ) {

            column = column - 1;
            row = row - 1;

            if ((size - column) % 3 == 0 && (size - row) % 3 == 0) {

                Circle intersectCircle = new Circle();
                intersectCircle.getStyleClass().add("point");
                intersectCircle.setRadius(2.5);
                intersectCircle.setTranslateX(Math.ceil( (size) / 2));
                intersectCircle.setTranslateY(Math.ceil( (size) / 2));
                intersectCircle.toFront();

                getChildren().add(intersectCircle);

            }

        }

    }

}
