package game;


import javafx.scene.layout.StackPane;
import javafx.scene.shape.Circle;
import javafx.scene.shape.Rectangle;

/**
 * Created by danielford on 11/02/16.
 */
public class Tile extends StackPane {


    public Tile(int size, int column, int row, int dimensions) {

        int max = dimensions - 1;
        boolean last = column == max || row == max;
        Rectangle rectangle = createRectangle(size, last);

        rectangle.setTranslateX(column * size);
        rectangle.setTranslateY(row * size);

        setPickOnBounds( false );
        setMouseTransparent( true );

        getChildren().add(rectangle);

    }


    private Rectangle createRectangle(double size, boolean last) {

        // Create the rectangle and add a styling class
        Rectangle rectangle = new Rectangle(size, size);
        rectangle.getStyleClass().add("rectangle");

        if ( last ) {
            rectangle.getStyleClass().add("last");
        }

        return rectangle;
    }


}