package player;

import board.Board;
import events.PlayerClick;
import game.Game;

import game.SetupGame;
import javafx.application.Platform;
import javafx.scene.input.MouseEvent;
import javafx.stage.Stage;
import main.Main;

/**
 * Created by danielford on 11/02/16.
 */
public class Human extends Player {

    public Human(int number, String color) {
        super(number, color);
    }

    public void takeMove(SetupGame state) {

        // Get the current game and stage
        Game currentGame = state.getGame();
        Stage gameStage = currentGame.getStage();

        // Set up the event handler
        PlayerClick handler = new PlayerClick(state, this);

        // If the UI is interacted without runLater, it will cause flash errors and general in the UI.
        Platform.runLater(() -> {
            // Set the board into 'choosing mode' i.e. highlight available paces
            currentGame.getBoardUI().getStyleClass().add("choosing");
        });

        // Add the click event for this player, it will get removed after it is successful
        gameStage.addEventHandler(MouseEvent.MOUSE_CLICKED, handler);

    }

}
