import board.Board;
import game.Coordinate;
import org.junit.Assert;
import org.junit.Test;
import player.Human;
import player.Player;


/**
 * Created by danielford
 */
public class BoardTests {

    Board board;

    private void setupBoard() {
        board = new Board(19, 5);
        board.createPlayer( new Human(1, "BLACK") );
        board.createPlayer( new Human(2, "WHITE") );
        board.setCurrentPlayer(0);
    }

    @Test
    public void horizontalWin() {

        setupBoard();
        Player player = board.getCurrentPlayer();
        board.createMove(new Coordinate(0, 0), player);
        board.createMove(new Coordinate(1, 0), player);
        board.createMove(new Coordinate(2, 0), player);
        board.createMove(new Coordinate(3, 0), player);
        board.createMove(new Coordinate(4, 0), player);

        Assert.assertTrue(board.checkWinner().getPlayer().equals(player));

    }

    @Test
    public void verticalWin() {

        setupBoard();
        Player player = board.getCurrentPlayer();
        board.createMove(new Coordinate(0, 0), player);
        board.createMove(new Coordinate(0, 1), player);
        board.createMove(new Coordinate(0, 2), player);
        board.createMove(new Coordinate(0, 3), player);
        board.createMove(new Coordinate(0, 4), player);
        Assert.assertTrue( board.checkWinner().getPlayer().equals(player) );

    }

    @Test
    public void diagonalRightWin() {

        setupBoard();
        Player player = board.getCurrentPlayer();
        board.createMove(new Coordinate(5, 0), player);
        board.createMove(new Coordinate(4, 1), player);
        board.createMove(new Coordinate(3, 2), player);
        board.createMove(new Coordinate(2, 3), player);
        board.createMove(new Coordinate(1, 4), player);


        Assert.assertTrue( board.checkWinner().getPlayer().equals(player) );

    }

    @Test
    public void diagonalLeftWin() {

        setupBoard();
        Player player = board.getCurrentPlayer();
        board.createMove(new Coordinate(5, 5), player);
        board.createMove(new Coordinate(4, 4), player);
        board.createMove(new Coordinate(3, 3), player);
        board.createMove(new Coordinate(2, 2), player);
        board.createMove(new Coordinate(1, 1), player);


        Assert.assertTrue( board.checkWinner().getPlayer().equals(player) );

    }

}
